{{ define "content" }}

<div class="container">

  {{if .Options.Get "update"}}
  <ol class="breadcrumb">
    <li><a href="/teachers?{{query "tpl_layout" "base" "tpl_content" "teachers"}}">Docenti</a></li>
    <li><a href="/teachers/{{.Data.ID}}?{{query "tpl_layout" "base" "tpl_content" "teachers_show"}}">{{.Data.Name}} {{.Data.Surname}}</a></li>
    <li class="active"><a href="#">Aggiorna</a></li>
  </ol>  
  {{else}}  
  <ol class="breadcrumb">
    <li><a href="/teachers/?{{query "tpl_layout" "base" "tpl_content" "teachers"}}">Docenti</a></li>
    <li class="active"><a href="#">Aggiungi</a></li>
  </ol>
  {{end}}

  {{if .Options.Get "update"}}
  <h1 class="karmen-info-header">Aggiorna il docente "{{.Data.Name}} {{.Data.Surname}}"</h1>
  {{else}}
  <h1 class="karmen-info-header">Crea un nuovo docente</h1>
  {{end}}

  {{if .Options.Get "update"}}
  <form action="/teachers/{{.Data.ID}}/update" method="POST" role="form" data-toggle="validator">
  {{else}}
  <form action="/teachers/add/" method="POST" role="form" data-toggle="validator">
  {{end}}  
    <div class="form-group has-feedback">
      <label class="control-label" for="teacher_name">Nome</label>
      <input type="text" name="Name" class="form-control" id="teacher_name" placeholder="Nome" {{if .Options.Get "update"}} value="{{.Data.Name}}" {{end}} required>
    </div>
    
    <div class="form-group has-feedback">
      <label class="control-label" for="teacher_surname">Cognome</label>
      <input type="text" name="Surname" class="form-control" id="teacher_surname" placeholder="Cognome" {{if .Options.Get "update"}} value="{{.Data.Surname}}" {{end}} required>
    </div>

    <div class="form-group has-feedback">
      <label class="control-label" for="teacher_altemail">Email alternativa</label>
      <input type="email" name="AltEmail" class="form-control" id="teacher_altemail" placeholder="Email alternativa" {{if .Options.Get "update"}} value="{{.Data.AltEmail}}" {{end}}>
    </div>
    
    <div class="form-group has-feedback">
      <label class="control-label has-feedback" for="teacher_hours">Numero di ore</label>
      <input type="number" name="Hours" class="form-control" id="teacher_hours" {{if .Options.Get "update"}}value="{{.Data.Hours}}"{{else}}value="18"{{end}} required>
    </div>

    <div class="form-check has-feedback">
      <input type="checkbox" name="MailSent" class="form-check-input" id="teacher_mailsent" {{if .Options.Get "update"}}value="{{.Data.MailSent}}"{{else}}value="false"{{end}} {{if .Options.Get "update"}}{{if .Data.MailSent}}checked{{end}}{{end}}>
      <label class="form-check-label has-feedback" for="teacher_mailsent">Credenziali inviate</label>
    </div>
    
    <div class="form-group">
      <button type="submit" class="btn btn-primary">Salva</button>
      {{if .Options.Get "update"}}
      <a href="/teachers/{{.Data.ID}}?{{query "tpl_layout" "base" "tpl_content" "teachers_show"}}" class="btn btn-default">Annulla</a>
      {{else}}
      <a href="/teachers/?{{query "tpl_layout" "base" "tpl_content" "teachers"}}" class="btn btn-default">Annulla</a>
      {{end}}
    </div>
    
  </form>

  
</div>

{{ end }}
